/*Zorgt dat de pagina altijd minimaal 1024 breed is: bij kleiner krijg je een scrollbar. NB: met Resize Window moet de viewport 1024 zijn, en niet de window*/
.container {
    padding-left: 15px;
    padding-right: 15px;
}

/* zorg ervoor dat de verticale scrollbar 
    altijd wordt getekend zodat het canvas 
    niet opnieuw wordt gerenderd als er 
    een scrollbar veschijnt. */
html {
    overflow: -moz-scrollbars-vertical;
    overflow-y: scroll;
}

/*de blauwe achtergrond van de pagina, met de skyline*/
body {
    background-image: url(../images/Skyline.png);
    background-color: #CCE4F2; /*dit is DE achtergrondkleur*/
    background-position: center bottom;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: 50% bottom;
}

/*de blauwe balk onderaan de pagina, zodat het lijkt alsof het skyline plaatje links en rechts doorloopt*/
.silhouetten-balk {
    background-color: #80BADE;
    height: 24px;
    position: fixed;
    bottom: 0;
    width: 100%;
}

/*de wrapper waarbinnen alles gebeurt: zorgt voor de marges links en rechts*/
.papiertje {
    padding: 20px;
    background: #fff;
    box-shadow: 0px 1px 3px rgba(0,0,0,0.05);
    border-radius: 3px;
    position: relative;
    margin-bottom: 20px;
    z-index: 200;
}

.positionrelative {
    position: relative;
}

.page-header {
    margin-top: 0;
    border-bottom: 1px solid #CCC;
    margin-bottom: 10px;
    padding-bottom: 10px;
}

    .page-header .page-title {
        font-size: 26px;
        color: #333;
    }


    .page-header .row [class*="col-"]:first-child {
        padding-left: 0;
    }

    .page-header .row [class*="col-"]:last-child {
        padding-right: 0;
    }

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open .dropdown-toggle.btn-primary {
    color: #ffffff;
    background-color: #123E63; /*#228b22;*/
    border-color: #123E63;
}

/*cursor als handje tonen*/
.handje {
    cursor: pointer;
}

.king-mini-logo {
    position: relative;
    float: left;
    padding-left: 2px;
    margin-left: 0px;
    padding-top: 4px;
    width: 60px;
}

.error-base {
    position: relative;
}

.error-popup-frame {
    z-index: 2000;
    background: #FDEEEE;
    position: fixed;
    width: 550px;
    left: 50%;
    transform: translate(-50%, 0);
    border-radius: 12px;
    margin-top: 25px;
    border-style: solid;
    border-color: #FDACAC;
    border-width: 5px;
    padding: 5px;
}

.error-icon {
    width: 20px;
    margin-top: -8px;
    margin-right: 4px;
}

.error-header {
    font-size: 20px;
    margin-top: 4px;
    display: inline-block;
    margin-bottom: 4px;
}

.error-close {
    float: right;
    width: 90px;
}

.error-content-style {
}

.noaccess-base {
    position: relative;
}

.noaccess-popup-frame {
    z-index: 2000;
    background: #FDEEEE;
    position: absolute;
    width: 550px;
    left: 50%;
    transform: translate(-50%, 0);
    border-radius: 12px;
    margin-top: 25px;
    border-style: solid;
    border-color: #FDACAC;
    border-width: 5px;
    padding: 5px;
}

.noaccess-icon {
    width: 35px;
    margin-top: -3px;
}

.noaccess-header {
    font-size: 20px;
    margin-top: 4px;
    display: inline-block;
}

.noaccess-close {
    float: right;
    width: 90px;
}

.main-content-disabled {
    pointer-events: none;
    opacity: 0.65;
}

.main-content-stalled {
    pointer-events: none;
    /*dit verlagen naar bijv. 0.5 als je beter wilt kunnen zien dat de UI blokkeert wegens webapi calls*/
    opacity: 0.95;
    /*background-color: orange;*/
}

.wachtverzachter {
    padding: 10px;
    color: #ffffff;
    background-color: transparent;
}

.king-mini-busy {
    position: relative;
    float: left;
    padding-left: 2px;
    margin-left: 0px;
    padding-top: 9px;
    width: 30px;
}

/*-----nodig voor custom bootstrap-----------*/
.form-group {
    margin-bottom: 5px;
}

.btn {
    border-color: #000000;
    border-color: rgba(0, 0, 0, 0);
    padding-left: 12px;
    padding-right: 12px;
}

/*in custom bootstrap is font-size van btn-sm en btn-xs hetzelfde... voor xs is het niet apart te configureren*/
.btn-xs {
    font-size: 10px;
    padding-left: 4px;
    padding-right: 4px;
}

.btn-sm {
    /*deze paars zodat je goed ziet dat je deze niet moet gebruiken*/
    background-color: purple;
}

/*buttons met een glyph-icon worden helaas 29px hoog, vandaar*/
.btn-lg {
    height: 28px;
}

/*dit voorkomt dat de tekst van buttons met een icoontje niet meer goed uitlijnt met de tekst van buttons zonder icoontjes*/
.glyphicons-h {
    font-size: 12px;
}

.glyphicons {
    top: 0;
}

.glyphicons-h.glyphicons-h-trash,
.glyphicons-h.glyphicons-h-pencil,
.glyphicons-h.glyphicons-h-share-alt {
    top: 4px;
}

.sorteer-combo {
    width: 250px;
    height: 20px;
    float: right !important;
}

/*glyphicons in het midden van of rechts in een col-xs neerzetten*/
.glyphicons.text-center,
.glyphicons-h.text-center,
.glyphicons.text-right,
.glyphicons-h.text-right {
    display: block;
}

.auto-width {
    width: auto;
}

/*todo aj: 21-05-2015: deze kan weg als bootstrap met 12-kolommen weg is. Deze is om gedrag van 12 koloms gelijk te trekken aan 16 koloms pagina's.
  Dit geeft een marge aan de rechterkant van het profiel-menutje'*/
.navbar-right {
    float: right !important;
    margin-right: 0;
}

/* Wordt gebruikt om tijdens het laden de elementen te hiden
    totdat er bekent is welke patroon: 0-1-n geactiveerd
    moet worden. */
.js-dontshow {
    display: none;
}

.btn.btn-rechter-muis-menu {
    width: 100%;
    text-align: left;
    line-height: 20px;
    color: #666;
    padding: 2px 14px 2px 14px;
    text-decoration: none;
    cursor: pointer;
}

    .btn.btn-rechter-muis-menu:hover {
        background-color: #3067B2;
        color: #FFF;
    }

.dropdown-menu {
    padding: 0;
}

.align-right {
    text-align: right;
}

.align-text-with-input {
    padding-left: 4px;
}

/*kolom titels*/
thead.kolomtitels th {
    color: #428BCA;
    font-weight: normal;
}

/*rij bovenaan de pagina met icoon, titel en eventueel een 'nieuwe...' knop*/
.row.row-titel {
    margin-bottom: 26px;
}

/*rij onder de titel met 'aantal items' op schermen zonder sorteercombo*/
.row.row-aantal-zonder-sorteercombo {
    margin-bottom: 5px;
}
/*rij onder de titel met 'aantal items' op schermen met sorteercombo*/
.row.row-aantal-met-sorteercombo {
    margin-bottom: 3px;
}

.row-margin {
    margin-bottom: 5px;
}

.geen-padding {
    padding-left: 0;
    padding-right: 0;
}

.geen-padding-left {
    padding-left: 0 !important;
}

.paddingtop18bottom10 {
    padding-top: 18px;
    padding-bottom: 10px;
    /*background-color: greenyellow;*/
}

.paddingtop10bottom18 {
    padding-top: 10px;
    padding-bottom: 18px;
    /*background-color: tan;*/
}

.paddingtop10bottom10 {
    padding-top: 10px;
    padding-bottom: 10px;
    /*background-color: plum;*/
}

.paddingright10 {
    padding-right: 10px;
}

.glyphicons-h.glyphicons-h-pencil {
    cursor: pointer;
}

.scroll-up-menu {
    position: relative;
    left: 0;
    right: 0;
    z-index: 1029;
}

.totopbutton {
    position: fixed;
    bottom: 0;
    top: auto;
    right: 50%;
    cursor: pointer;
    z-index: 1030;
    display: none;
    width: 35px;
    height: 30px;
    background: #0076be;
    border-radius: 5px 5px 0 0;
}

    .totopbutton:before {
        font-size: 24px;
        color: white;
        bottom: 0;
        position: fixed;
        margin-left: 5px;
    }

.js-sticky .tableFloatingHeaderOriginal[style*="position: fixed"] {
    background-color: white;
}
/* #48076: zorgt ervoor dat background image en totopbutton niet verspringen wanneer een overlay geopend wordt. */
.noScroll .totopbutton {
    right: calc(50% + 8px);
}

.noScroll body {
    background-position: calc(50% - 8px) bottom;
}

/* RE 12-01-2016: In de stijlgids hebben checkboxes en hun label een handje als hover-cursor */
input[type="checkbox"], input[type="checkbox"] + label, label + input[type="checkbox"] {
    cursor: pointer;
}

.input-group select.form-control {
    width: auto !important;
    min-width: 100%;
}

button.floating {
    position: relative;
    background-color: white !important;
    font-size: 0;
    height: 16px;
    width: 16px;
    padding: 0;
    border-radius: 8px;
}

    button.floating:hover {
        border: none;
        outline: none;
    }

    button.floating .glyphicons-h {
        color: #337ab7;
        font-size: 14px;
    }

/* Overal container breedte vaststellen, ongeacht schermgrootte.
   Zit extra brede schermen zoals kolommenbalans niet in de weg.
*/
.container {
    width: 970px;
}

.glyphicons-h.glyphicons-h-chevron-down {
    left: 2px;
}

.hoverbuttons .glyphicons-h.glyphicons-h-trash, .hoverbuttons .glyphicons-h.glyphicons-h-pencil {
    top: 3px;
}

#selectiecontrol-pluginscope .form-control[disabled], fieldset[disabled] .form-control {
    cursor: pointer;
}

.selectiecontrol input[type="radio"], input[type="checkbox"] {
    margin: 3px 0 0;
}

div.centeredMessage span {
    display: block;
    width: 100%;
    text-align: center;
    margin: 10px;
}

.glyphicons.glyphicons-lock, .glyphicons.glyphicons-unlock {
    top: 4px;
    font-size: 11px;
}

.lookup-row-content .glyphicons.glyphicons-lock {
    font-size: 10px;
}

/* #47691: licentienaam op 1 regel weergeven in administratie dropdown */
#adminSelectorList span {
    white-space: pre;
}

.span-wrap {
    word-wrap: break-word;
}

.tooltip-inner {
    min-width: 150px;
}

.row {
    margin-left: 0;
    margin-right: 0;
}

.actie-button {
    margin-right: 7px;
}

.glyphicons.glyphicons-repeat.glyphicons-spin {
    width: 14px;
    height: 14px;
    border-left: solid 2px white;
    border-radius: 100%;
    padding-top: 0px;
    padding-right: 1px;
}

    .glyphicons.glyphicons-repeat.glyphicons-spin:before {
        margin-left: -1px;
    }

.toevoeg-link {
    color: #337ab7;
}

.glyphicons-h-plus-sign.toevoeg-link {
    background-color: white;
    border-radius: 100%;
    height: 10px;
    width: 10px;
}

.glyphicons-h-plus-sign.toevoeg-link:before {
    margin-top: -1px;
    margin-left: -1px;
    display: block;
}

.toevoeg-link:hover {
    cursor: pointer;
    color: #123E63;
}

.kleiner {
    font-size: 12px;
}

.overlay-main .visitekaartje {
    background-color: white;
    padding-top: 20px;
    padding-bottom: 20px;
    padding-right: 25px;
    padding-left: 25px;
    margin-bottom: 19px;
    box-shadow: 2px 2px 5px 2px rgba(0, 0, 0, 0.35);
}

/* editable-text component */
.editable-text .btn {
    padding: 0 3px;
    margin-top: -2px;
}

    .editable-text .btn.glyphicons-h.glyphicons-h-ok:before {
        padding-right: 1px;
        margin-left: -1px;
    }

.editable-text .error-editable-text {
    right: 29px !important;
    z-index: 3;
}

    .editable-text .error-editable-text.okShown {
        right: 49px !important;
        z-index: 3;
    }

.editable-text .editable-button-spacing {
    padding-left: 5px;
}

.editable-text .editable-button-vertical-align {
    vertical-align: middle;
}
